Seller KYC
List KYC submissions
GET
/api/v1/seller/kycLists KYC submissions for review. Staff-only.
Requires Authorization
ADMIN, SUPPORT only
Session
Query parameters
pagenumber | Defaults to 1. |
limitnumber | Max 100. Defaults to 20. |
statusstring | PENDING, SUPPORT_REVIEWED, APPROVED, or REJECTED. |
searchstring | Matches the seller's business name. |
Request
curl --request GET \
--url https://api.swiftgoma.com/api/v1/seller/kyc \
--header 'Authorization: Bearer <access_token>'200Example response
{
"success": true,
"data": {
"records": [
{
"id": "kyc_8f1e2a",
"sellerProfileId": "sp_2b3c4d",
"idDocumentType": "NATIONAL_ID",
"idDocumentUrl": "https://res.cloudinary.com/dx3wclabo/image/upload/v1/kyc/id-aline.jpg",
"proofOfAddressUrl": "https://res.cloudinary.com/dx3wclabo/image/upload/v1/kyc/address-aline.jpg",
"selfieUrl": "https://res.cloudinary.com/dx3wclabo/image/upload/v1/kyc/selfie-aline.jpg",
"rccmNumber": null,
"rccmDocumentUrl": null,
"status": "PENDING",
"createdAt": "2026-01-06T09:00:00.000Z",
"sellerProfile": {
"id": "sp_2b3c4d",
"businessName": "Boutique Aline",
"userId": "3f2a1c9e",
"user": {
"id": "3f2a1c9e",
"name": "Aline Mapendo",
"role": "SELLER",
"emails": [
{
"email": "aline@example.com",
"isPrimary": true,
"isVerified": true
}
]
}
}
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 1,
"totalPages": 1
}
}
}